StatsHub Docs
APIAPI v2V2 endpoint referenceBet tracker

/me/bet-tracker-settings

Replace the caller's stake settings

PUT
/me/bet-tracker-settings

Replace the caller's stake settings

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/me/bet-tracker-settings" \  -H "Content-Type: application/json" \  -d '{    "currency": "string",    "stakeMode": "string",    "unitValue": 0  }'
{  "data": {    "currency": "string",    "stakeMode": "string",    "tags": [      "string"    ],    "unitValue": 0  }}